<?php
require_once("DBManager.class.php");

class matricula{
	private $idmatricula;///
	private $idalu;	
	private $iddoc_curso;
	private $fechamatri;

	///////////////////////////////////////////
	public function Crear($vidalu,$viddoccur,$vf)
	{
		$resp=false;		
		$db= new DBManager();		
if($db->_execute("INSERT INTO matricula(idmatricula,idalu,iddoc_curso,fechamatri) VALUES(null,".$vidalu.",".$viddoccur.",'".$vf."')"))   
		{
			$resp=true;
		}
		return $resp;		
	}
	
	
	public function ListarPorAlumno($v)
	{
		$vector=null;		
		$db= new DBManager();		
		$rs=$db->execute("select idmatricula,idalu,iddoc_curso,date_format(fechamatri,'%d-%m-%Y') as fechamatri from matricula where(idalu =".$v.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{
   				$vector[$row]=array("idmatricula"   => $rs->fields["idmatricula"],
									"idalu" 	    => $rs->fields["idalu"],
									"iddoc_curso"         => $rs->fields["iddoc_curso"],
									"fechamatri"         => $rs->fields["fechamatri"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	
	public function ListarPorDoc_curso($v)
	{
		$vector=null;		
		$db= new DBManager();		
		$rs=$db->execute("select idmatricula,idalu,iddoc_curso,date_format(fechamatri,'%d-%m-%Y') as fechamatri from matricula where(iddoc_curso =".$v.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{
   				$vector[$row]=array("idmatricula"   => $rs->fields["idmatricula"],
									"idalu" 	    => $rs->fields["idalu"],
									"iddoc_curso"         => $rs->fields["iddoc_curso"],
									"fechamatri"         => $rs->fields["fechamatri"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
		
	public function BuscarPorCodigo($vcod)
	{		
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager();
		$rs=$db->execute("select idmatricula,idalu,iddoc_curso,date_format(fechamatri,'%d-%m-%Y') as fechamatri from matricula where(idmatricula = ".$vcod.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
	                  $this->idmatricula=$rs->fields["idmatricula"];
				      $this->idalu=$rs->fields["idalu"];	
					  $this->iddoc_curso=$rs->fields["iddoc_curso"];				
				     $this->fechamatri=$rs->fields["fechamatri"];
					 
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}
	
	public function BuscarPorDocCur($vcod)
	{		
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager();
		$rs=$db->execute("select idmatricula,idalu,iddoc_curso,date_format(fechamatri,'%d-%m-%Y') as fechamatri from matricula where(iddoc_curso = ".$vcod.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
	                  $this->idmatricula=$rs->fields["idmatricula"];
				      $this->idalu=$rs->fields["idalu"];	
					  $this->iddoc_curso=$rs->fields["iddoc_curso"];				
				     $this->fechamatri=$rs->fields["fechamatri"];
					 
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}
	
	public function Verificar($vcod,$idalu)
	{		
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager();
		$rs=$db->execute("select idmatricula,idalu,iddoc_curso,date_format(fechamatri,'%d-%m-%Y') as fechamatri from matricula where(iddoc_curso = ".$vcod." and idalu=".$idalu.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
	                  $this->idmatricula=$rs->fields["idmatricula"];
				      $this->idalu=$rs->fields["idalu"];	
					  $this->iddoc_curso=$rs->fields["iddoc_curso"];				
				     $this->fechamatri=$rs->fields["fechamatri"];
					 
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}
		
	////////////////////////////////*/
	public function ListaTotal()
	{
		$vector=null;
		$db= new DBManager();		
		$rs=$db->execute("select idmatricula,idalu,iddoc_curso,date_format(fechamatri,'%d-%m-%Y') as fechamatri from matricula");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                $vector[$row]=array("idmatricula"   => $rs->fields["idmatricula"],
									"idalu" 	    => $rs->fields["idalu"],
									"iddoc_curso"         => $rs->fields["iddoc_curso"],
									"fechamatri"         => $rs->fields["fechamatri"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
        	return $vector;			
		}else return null;
		
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	

	//////////////////////////////
	public function Eliminar($vcod)
	{
		$resp=false;		
		$db= new DBManager();		
		if($db->_execute("DELETE FROM matricula WHERE (idmatricula=".$vcod.");"))   
		{
			$resp=true;
		}
		return $resp;		
	}	
	////////////////////////////////////////							
	
	public function getIdmatricula(){ return $this->idmatricula;}
	public function getIdalu(){ return $this->idalu;}
	public function getIddoc_curso(){ return $this->iddoc_curso;}
	public function getfechamatri(){ return $this->fechamatri;}
	
}
?>
